%global scl_name_prefix rh-
%global scl_name_base dotnet
%global scl_name_version 20

%global scl %{scl_name_prefix}%{scl_name_base}%{scl_name_version}
%scl_package %scl

%global nfsmoutnable 1

# For testing this RPM by itself.
%global install_scl 1

# Do not produce empty debuginfo package
%global debug_package %{nil}

Name: %scl_name
Version: 2.0
Release: 6%{?dist}
Summary: Package that installs %scl
License: MIT

BuildRequires:  scl-utils-build
%if 0%{?install_scl}
Requires:       %{scl_prefix}dotnet
%endif

%description
This is the main package for %scl Software Collection.


%package runtime
Summary: Package that handles %scl Software Collection.
Requires: scl-utils

%description runtime
Package shipping essential scripts to work with %scl Software Collection.


%package build
Summary: Package shipping basic build configuration
Requires: scl-utils-build

%description build
Package shipping essential configuration macros to build %scl Software Collection.


%prep
%setup -c -T

%build
# Nothing to do

%install
%scl_install

cat >> %{buildroot}%{_scl_scripts}/enable << EOF
export PATH="%{_bindir}:%{_sbindir}\${PATH:+:\${PATH}}"
export CPATH="%{_includedir}\${CPATH:+:\${CPATH}}"
export LD_LIBRARY_PATH="%{_libdir}\${LD_LIBRARY_PATH:+:\${LD_LIBRARY_PATH}}"
export MANPATH="%{_mandir}:\${MANPATH:-}"
export PKG_CONFIG_PATH="%{_libdir}/pkgconfig\${PKG_CONFIG_PATH:+:\${PKG_CONFIG_PATH}}"
export PYTHONPATH=%{_scl_root}%{python_sitelib}\${PYTHONPATH:+:\${PYTHONPATH}}
export XDG_DATA_DIRS=%{_datadir}:\${XDG_DATA_DIRS:-/usr/local/share:/usr/share}

# Opt out of telemetry collection by default
export DOTNET_CLI_TELEMETRY_OPTOUT=true
EOF


%files

%files runtime -f filelist
%scl_files

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config


%changelog
* Tue Jun 20 2017 Omair Majid <omajid@redhat.com> - 2.0-6
- Add XDG_DATA_DIRS

* Thu Jun 8 2017 Omair Majid <omajid@redhat.com> - 2.0-5
- Add requires on main dotnet package

* Wed Apr 19 2017 Omair Majid <omajid@redhat.com> - 2.0-4
- Add CPATH

* Tue Apr 18 2017 Omair Majid <omajid@redhat.com> - 2.0-3
- Add PYTHONPATH
- Opt out of telemetry collection

* Mon Apr 17 2017 Omair Majid <omajid@redhat.com> - 2.0-2
- Remove unprintable characters from build section
- Do not require rest of SCL
- Do not install man page

* Thu Apr 13 2017 Omair Majid <omajid@redhat.com> 2.0-1
- Initial package
